---
#
# 1minutetip --buildroot rhel10
#

- hosts: localhost
  tags:
  - classic
  roles:
  - role: standard-test-source
    required_packages:
    - rust-toolset

  - role: standard-test-basic
    required_packages:
    - python3-setuptools-rust
    tests:
    # build rust_with_cffi example (requires downloads from crates.io)
    - example-rust-with-cffi:
        dir: "source/examples/rust_with_cffi"
        run: mkdir .cargo && cargo vendor > .cargo/config.toml && python3 setup.py build
